Skip to main content
GET
/
royalty
/
client-loyalty-balance
Balance de puntos de un cliente
curl --request GET \
  --url https://api.service.getjusto.com/v3/royalty/client-loyalty-balance \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.service.getjusto.com/v3/royalty/client-loyalty-balance"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.service.getjusto.com/v3/royalty/client-loyalty-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "clientId": "rty-cli-001",
    "email": "cliente@example.com",
    "justoUserId": "u-001",
    "balance": 150,
    "websiteId": "w-001",
    "lastUpdated": "2025-10-14T14:16:11.000Z"
  }
}
Obtiene el balance actual de puntos de loyalty para un cliente específico de la marca autorizada. Envía justoUserId, clientId o email para identificar al cliente. La respuesta incluye el cliente, usuario Justo asociado cuando existe, email, balance actual y fecha de última actualización del valor. La búsqueda siempre queda limitada al website autorizado por el token de API.

Authorizations

Authorization
string
header
required

JWT Token

Query Parameters

justoUserId
string

ID del usuario de Justo

clientId
string

ID del cliente

email
string

Email del cliente

Response

Balance de puntos del cliente

success
boolean
required

Indica si la operación fue exitosa

Example:

true

data
object
required